Aerovy Platform logo

Update a site

PATCHhttps://spectra.api.aerovy.com/v2/sites/{placeId}

Updates a site's metadata. Requires an API key with the write action scoped to the site.

Loading code example
Loading code example

Authorizations

apiKeystringheaderrequired

API key passed in the header.

Path Parameters

placeIdstringrequired

The site id.

Body

The fields to update; omitted/default fields are left unchanged.

siteNamestring

New site name, if changing.

longitudenumber | string<double>

New longitude, if changing.

Pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?(?:[eE][+-]?\d+)?$
latitudenumber | string<double>

New latitude, if changing.

Pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?(?:[eE][+-]?\d+)?$
addressstring

New street address, if changing.

preferredDisplayMetricsnull | array

Replacement set of preferred display metric ids, if changing.

Response

application/json

Updated.